Index Information

This endpoint returns the information related to an index on Enact's European Index page, for example the BESS capacity and duration, or the different markets the BESS could participate in.

To access an index's information, you'll need its corresponding GUID which can be found by clicking the ID icon next to an index on the European Index page.


Using the LCPDelta Python Package

Synchronous

from lcp_delta import enact
from datetime import date

enact_api_helper = enact.APIHelper(username, public_api_key)

# see 'BODY PARAMS' section below for details on corresponding parameter values
response_dataframe = enact_api_helper.get_europe_index_information(
  index_id = "107b466d-56b5-41c8-9af5-89b47beb086e",
  country = "Germany",
)

print(response_dataframe)

Asynchronous

from lcp_delta import enact
from datetime import date
import asyncio

async def main():
    enact_api_helper = enact.APIHelper(username, public_api_key)

    # see 'BODY PARAMS' section below for details on corresponding parameter values
    response_dataframe = enact_api_helper.get_europe_index_information_async(
      index_id = "107b466d-56b5-41c8-9af5-89b47beb086e",
      country = "Germany",
)

    print(response_dataframe)

asyncio.run(main())
Body Params
string
required

The index ID denoting which index to get information for. Index IDs can be found on the European Index page on Enact, by clicking the ID icon next to an index.

string

The country of your specified index. Currently can be either "Germany" or "France".

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json